export declare class Cart {
    private context;
    private cart;
    constructor();
    init: (context: any) => void;
    triggerPaymentButtons: () => void;
    getCartJSON: () => void;
    addItem: (id: number, qty: number, properties?: any) => Promise<void>;
    removeItem: (key: string) => Promise<void>;
    updateQty: (key: string, qty: number) => Promise<void>;
    updateVariant: (key: string, id: number, qty: number) => Promise<void>;
    getCart: () => Promise<void>;
    clearCart: () => Promise<void>;
    getShippingRates: (country: string, postcode: string) => Promise<void>;
    private getLocationFromPostcode;
    getProductRecommendations: (id: number, limit: number) => Promise<void>;
    toggleFreeShipping: (event: any) => void;
    toggleUpsells: (event: any) => void;
    toggleFreeGift: (event: any) => void;
}
export declare namespace Cart { }
